Show / Hide Table of Contents

# Class FramerateLimit

Simple encapsulation of framerate limiting behavior, allowing for fully unbounded (no control), Vsync-enabled (sync to monitor refresh), or a specified fixed framerate (vsync disabled, hard time cap)

##### Inheritance

System.Object
FramerateLimit

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class FramerateLimit

### Constructors

| Improve this Doc View Source

#### FramerateLimit(FramerateLimit.LimitType, Int32)

Creates a new framerate limit description.

##### Declaration

    public FramerateLimit(FramerateLimit.LimitType limitType, int targetFps = 0)

##### Parameters

Type | Name | Description
--- | --- | ---
FramerateLimit.LimitType | limitType | Which type of limiting to apply.
System.Int32 | targetFps | Used only with FixedFPS, the target frames per second to restrict rendering to.

### Properties

| Improve this Doc View Source

#### FPS

The current FPS limit. Only valid with FixedFPS.

##### Declaration

    public int FPS { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Type

Which type of framerate limiting to apply.

##### Declaration

    public FramerateLimit.LimitType Type { get; }

##### Property Value

Type | Description
--- | ---
FramerateLimit.LimitType |

### Methods

| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()